@extends("layouts.dashboard.app")

@section("page-nav-title")
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard "></i>{{__("Branches Rating")}}</h1><br>

            <a class="btn btn-primary" href="{{route("branchRating.create",[$branch_id])}}">{{__("Add new Rating")}}</a>



        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>

        </ul>
    </div>
@endsection
@section("content")
    @include("layouts.main-parts.page-message")
    <div class="row">

        <div class="col-md-12">
            <div class="tile">

                <div class="tile-body">
                    <div class="table-responsive">
                    <table class="mt-5 table table-hover table-bordered" id="sampleTable">
                        <thead>
                            <tr>
                                <th>{{__("rating type")}}</th>
                                <th>{{__("Name")}}</th>
                                 <th>{{__("Rating")}} </th>
                                  <th>{{__("Details")}} </th>
                                 <th>{{__("Control")}}</th>
                            </tr>
                        </thead>
                        <tbody>
                        @if(count($branchs) > 0)
                        @foreach($branchs as $branch)
                            <tr>
                                <td>{{$branch->RatingTitel}}      </td>

                                     <td>{{$branch->firstName}}</td>
                                <td>

                                        @php $rating = $branch->AvgRating; @endphp

                                                @foreach(range(1,5) as $i)
                                                <span class="fa-stack" style="width:1em">
                                                <i class="far fa-star fa-stack-1x"></i>

                                                @if($rating >0)
                                                    @if($rating >0.5)
                                                        <i class="fas fa-star fa-stack-1x"></i>
                                                    @else
                                                        <i class="fas fa-star-half fa-stack-1x"></i>
                                                    @endif
                                                @endif
                                                @php $rating--; @endphp
                                        </span>
                                        @endforeach


                               </td>
                               <td> {{$branch->Descriptions}}</td>
            <td>    <a href="{{route("branchRating.edit", $branch->branch_rating_id)}}" class="control-link edit"><i class="fas fa-edit"></i></a>
                                        <form action="{{route("branchRating.destroy", $branch->branch_rating_id)}}" method="post" id="delete{{$branch->id}}" style="display: none" data-swal-title="{{__("Delete Rating branch")}}" data-swal-text="{{__("Are Your Sure To Delete This Rating branch ?")}}" data-yes="{{__("Yes")}}" data-no="{{__('No')}}" data-success-msg="{{__('the Rating branch has been deleted succssfully')}}">@csrf @method("delete")</form>
                                        <span href="#" class="control-link remove form-confirm" data-form-id="#delete{{$branch->id}}"><i class="far fa-trash-alt"></i></span></td>

                            </tr>
                        @endforeach
                        @else
                        <tr>
                                <td colspan=2>
                                    {{__('Empty Data')}}
                                </td>
                        </tr>
                        @endif
                        </tbody>
                    </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection

@section("scripts")

    <script type="text/javascript" src="{{asset("assets/js/plugins/jquery.dataTables.min.js")}}"></script>
    <script type="text/javascript" src="{{asset("assets/js/plugins/dataTables.bootstrap.min.js")}}"></script>
    <script type="text/javascript">$('#sampleTable').DataTable();</script>
    <!-- Google analytics script-->
    <script type="text/javascript">
        if(document.location.hostname == 'pratikborsadiya.in') {
            (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
                (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
                m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
            })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
            ga('create', 'UA-72504830-1', 'auto');
            ga('send', 'pageview');
        }
    </script>

    <script type="text/javascript">$('#sampleTable').DataTable();</script>

@endsection
