@extends("layouts.dashboard.app")

@section("page-nav-title")
    <div class="app-title">
        <div>
       <h1><i class="fa fa-dashboard"></i>{{__('Branches Sales')}}</h1>
            <p>{{__('Branches')}}</p>
        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="#">{{__('Branches Sales')}}</a></li>
        </ul>
    </div>
@endsection
@section("content")
    @include("layouts.main-parts.page-message")
    <div class="row">
        <div class="col-lg-12 mb-3 text-right">
            <a href="{{route("reports.branches_sales.export.excel")}}" class="btn btn-primary"><i class="far fa-fw fa-lg  fa-file-excel text-left"></i>{{__('Export As Excel')}}</a>
        </div>
        <div class="col-md-12">
            <div class="tile">
                <div class="tile-body">
                    <div class="table-responsive">
                        <table class="table table-hover table-bordered" id="sampleTable">
                            <thead>
                            <tr>
                                <th>#{{__('ID')}}</th>
                                <th>{{__('Branch name')}}</th>
                                <th>{{__('Total Sales')}}</th>
                                <th>{{__('Total Sales with Delivery')}}</th>
                                <th>{{__('Orders')}}</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($areas as $area)
                                <tr>
                                    <td>{{$area->id}}</td>
                                    <td>{{$area->area_name}}</td>
                                    <td>{{(double)$area->area_sales}} JOD</td>
                                    <td>{{(double)$area->area_sales_with_delivery}} JOD</td>
                                    <td>{{$area->count_orders}}</td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section("scripts")
    <!-- Data table plugin-->
    <script type="text/javascript" src="{{asset("assets/js/plugins/jquery.dataTables.min.js")}}"></script>
    <script type="text/javascript" src="{{asset("assets/js/plugins/dataTables.bootstrap.min.js")}}"></script>
    <script type="text/javascript">$('#sampleTable').DataTable();</script>
    <!-- Google analytics script-->
    <script type="text/javascript">
        if(document.location.hostname == 'pratikborsadiya.in') {
            (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
                (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
                m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
            })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
            ga('create', 'UA-72504830-1', 'auto');
            ga('send', 'pageview');
        }
    </script>
@endsection
